DescriptiveMarker.AllTracksDescribed (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Class DescriptiveMarker.AllTracksDescribed

- java.lang.Object
- - tv.amwa.maj.model.DescriptiveMarker.AllTracksDescribed

- All Implemented Interfaces:
    Iterable<Integer>, Collection<Integer>, Set<Integer>
  Enclosing interface:
    DescriptiveMarker

      public static final class DescriptiveMarker.AllTracksDescribed
      extends Object
      implements Set<Integer>

  Contrived inner class that represents the set of all positive integers and zero. This represents the default value for described sets as specified in section 7.10 of the AAF object specification.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Integer o)`
    `boolean` | `addAll(Collection<? extends Integer> c)`
    `void` | `clear()`
    `boolean` | `contains(Object o)`
    `boolean` | `containsAll(Collection<?> c)`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `Iterator<Integer>` | `iterator()`
    `boolean` | `remove(Object o)`
    `boolean` | `removeAll(Collection<?> c)`
    `boolean` | `retainAll(Collection<?> c)`
    `int` | `size()`
    `Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] a)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Method Detail

    - #### add

          public boolean add(Integer o)

      Specified by:
        `add` in interface `Collection<Integer>`
      Specified by:
        `add` in interface `Set<Integer>`

    - #### addAll

          public boolean addAll(Collection<? extends Integer> c)

      Specified by:
        `addAll` in interface `Collection<Integer>`
      Specified by:
        `addAll` in interface `Set<Integer>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<Integer>`
      Specified by:
        `clear` in interface `Set<Integer>`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<Integer>`
      Specified by:
        `contains` in interface `Set<Integer>`

    - #### containsAll

          public boolean containsAll(Collection<?> c)

      Specified by:
        `containsAll` in interface `Collection<Integer>`
      Specified by:
        `containsAll` in interface `Set<Integer>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection<Integer>`
      Specified by:
        `isEmpty` in interface `Set<Integer>`

    - #### iterator

          public Iterator<Integer> iterator()

      Specified by:
        `iterator` in interface `Iterable<Integer>`
      Specified by:
        `iterator` in interface `Collection<Integer>`
      Specified by:
        `iterator` in interface `Set<Integer>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<Integer>`
      Specified by:
        `remove` in interface `Set<Integer>`

    - #### removeAll

          public boolean removeAll(Collection<?> c)

      Specified by:
        `removeAll` in interface `Collection<Integer>`
      Specified by:
        `removeAll` in interface `Set<Integer>`

    - #### retainAll

          public boolean retainAll(Collection<?> c)

      Specified by:
        `retainAll` in interface `Collection<Integer>`
      Specified by:
        `retainAll` in interface `Set<Integer>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Integer>`
      Specified by:
        `size` in interface `Set<Integer>`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection<Integer>`
      Specified by:
        `toArray` in interface `Set<Integer>`

    - #### toArray

          public <T> T[] toArray(T[] a)

      Specified by:
        `toArray` in interface `Collection<Integer>`
      Specified by:
        `toArray` in interface `Set<Integer>`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Collection<Integer>`
      Specified by:
        `hashCode` in interface `Set<Integer>`
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Collection<Integer>`
      Specified by:
        `equals` in interface `Set<Integer>`
      Overrides:
        `equals` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.